Skip to main content
GET
/
v1
/
paymentIntents
/
{id}
Get a payment intent
curl --request GET \
  --url https://api-sandbox.circle.com/v1/paymentIntents/{id} \
  --header 'Authorization: Bearer <token>'
{ "data": { "id": "8755d0ea-14f9-4259-b092-de23c14b6568", "amount": { "amount": "3.14", "currency": "USD" }, "amountPaid": { "amount": "0.00", "currency": "USD" }, "settlementCurrency": "USD", "paymentMethods": [ { "type": "blockchain", "chain": "ETH", "address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F" } ], "paymentIds": [], "timeline": [ { "status": "created", "time": "2022-07-21T20:13:35.579331Z" } ], "createDate": "2022-07-21T20:13:35.578678Z", "updateDate": "2022-07-21T20:19:24.859052Z" } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a payment intent.

data
object